Logic Pro X Logic Pro X Review

Markdvc

Administrator
Staff member
It is wise to make sure that old Logic projects are saved with at least Logic version 7.2.1. Considering that it is impossible to open files older than that version since Logic 9.


Just FTR, Logic Pro X will in fact open Logic Projects from Logic 5 upwards, as stated here:

http://www.apple.com/logic-pro/specs/

Logic 9 is also able to open Logic Projects from 5 and more recent versions.


The reference to Logic 7.2.1 may be referring to Intel compatibility, Logic 7.2 was the first Logic Version that was Universal Binary and able to run both on PPC and Intel Macs. Furthermore, Logic 7 was the last version able to open Projects from Logic versions older than 5.

kind regards

Mark
 
Upvote 0
Top